Subject: bug#77312: [PATCH] Add uniquify-get-unique-names

From: Dmitry Gutov <[email-masked]>
Date: Sun, 8 Jun 2025 05:06:36 +0300

Hey Daniel!

On 07/06/2025 11:11, Daniel Mendler wrote:
> Would it be possible to attach the buffer object or the original buffer
> name to the completion candidate string as text property? This would
> make it possible to attach annotations via Marginalia or to execute
> buffer actions via Embark. Otherwise I don't see a possibility to access
> the original buffer, since they are only present in the `unique-names`
> alist local variable.

That makes sense. Just call the property 'buffer'?

I wonder if it would make sense to alter the calling convention for 
uniquify-get-unique-names itself to return a list of propertized strings 
instead. project--read-project-buffer can do the conversion (copy each 
string and attach the property), but it's just extra consing.

Unless some more new callers are going to prefer the current convention.